## raceintospace-source.tar.bz2

=== Makefile ===
# Makefile.  Generated from Makefile.in by configure.

CC=gcc
LIBS=-lm   -logg -logg  -lvorbis -lm -ltheora -L/usr/lib -lSDL -lpthread
CPPFLAGS=    -I/usr/include \
		 -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -DCONFIG_DATADIR=\"${DATA_DIR}\"
PACKAGE_TARNAME=raceintospace
VERSION=0.4.5
PROG_NAME=${PACKAGE_TARNAME}
CFLAGS =-g -Wall -std=c99 -g -O2
TAR_NAME=$(PACKAGE_TARNAME)-$(VERSION)
DATA_NAME=$(PACKAGE_TARNAME)-data
DATA_TARNAME=$(DATA_NAME)-$(VERSION)

# rpmbuild uses DESTDIR to stage the compilation output
DESTDIR=
prefix = $(DESTDIR)//usr/local
exec_prefix = ${prefix}
bindir = ${exec_prefix}/bin
datadir = ${prefix}/share
mandir = ${prefix}/share/man
docdir = ${datadir}/doc/${PACKAGE_TARNAME}
DATA_DIR=${datadir}/${PACKAGE_TARNAME}

# HACK - use vpath to search for files in win32 build
vpath %.o
vpath %.c
vpath %.h

vpath %.c ../
vpath %.h ../

ACLOCAL_FLAGS = -I m4

EXTRA_WARNINGS =  -Wextra -Wno-unused-parameter \
	-Wno-char-subscripts -Wno-deprecated-declarations #-Werror

PROGS = $(addsuffix , \
	imgsplit vtest decode getport getvab mtest sdltest vtest2)

EXTRA_SOURCES = AUTHORS README COPYING DEVELOPER TODO ChangeLog \
				raceintospace.6 \
				configure Makefile.in race.h.in mkrpm.in \
				raceintospace.spec.in \
				$(wildcard m4/*.m4) \
				$(shell find os_macosx -name CVS -prune -o -type f -print) \
				os_win32/configure.mingw os_win32/Moon.ico \
				os_win32/installer.nsi.in os_win32/Makefile.os

BARIS_HFILES = av.h Buzz_inc.h data.h endianness.h externs.h gamedata.h \
	int_types.h macros.h mis.h music.h pace.h proto.h records.h soundfx.h \
	soundint.h mmfile.h options.h fs.h utils.h log4c.h logging.h

BARIS_OBJS = $(addsuffix .o, \
	admin aimast aimis aipur ast0 ast1 ast2 ast3 ast4 budget crew endgame \
	endianness futbub future hardef intel intro main mc2 mc mis_c mis_m museum \
	newmis news news_sup news_suq place port prefs prest radar rdplex records \
	replay review rush start vab pace gx gr sdl music gamedata mmfile options fs \
	utils logging log4c log_default \
)

all: $(PROG_NAME)

extra: all $(PROGS)

rpm_all: $(PROG_NAME)

install: $(PROG_NAME)
	mkdir -p ${bindir}
	mkdir -p ${mandir}/man6
	mkdir -p ${docdir}
	mkdir -p $(DATA_DIR)
	install -c -m 755 $(PROG_NAME) ${bindir}
	gzip < $(PROG_NAME).6 > ${mandir}/man6/$(PROG_NAME).6.gz
	install -c -m 644 README ${docdir}/.

# don't change the source of these copies ... they copy
# data from the compilation environment into the build root
rpm_install: install
	cp -pr /usr/local/share/raceintospace/audio $(DATA_DIR)
	cp -pr /usr/local/share/raceintospace/video $(DATA_DIR)
	cp -pr /usr/local/share/raceintospace/gamedata $(DATA_DIR)
	cp -pr /usr/local/share/raceintospace/images $(DATA_DIR)
	find $(DATA_DIR) -type f -print | xargs chmod a-x+r

uninstall:
	rm -f ${bindir}/$(PROG_NAME)
	rm -f ${mandir}/man6/$(PROG_NAME).6*
	rm -rf ${docdir}
	rm -rf $(DATA_DIR)

# cheat, we still use CC but print LD
$(PROG_NAME): $(BARIS_OBJS)
	@echo "$(LD) ...flags... -o $@ ...libs..."
	@$(CC) $(CFLAGS) -o $(PROG_NAME) $(BARIS_OBJS) $(LIBS)

.c.o:
	@echo "$(CC) ...flags... -c $<"
	@$(CC) $(CPPFLAGS) $(CFLAGS) $(EXTRA_WARNINGS) -c $<

vtest2: $(addsuffix .o, vtest2 mmfile utils)
	$(CC) $(CFLAGS) -o $@ $^  -logg -logg  -lvorbis -lm -ltheora -L/usr/lib -lSDL -lpthread

imgsplit: imgsplit.o
	$(CC) $(CFLAGS) -o $@ $^ -lm

vtest: vtest.o
	$(CC) $(CFLAGS) -o $@ $^ -lasound -lm

decode: decode.o
	$(CC) $(CFLAGS) -o $@ $^ -lm

getport: getport.o
	$(CC) $(CFLAGS) -o $@ $^ -lm

getvab: getvab.o
	$(CC) $(CFLAGS) -o $@ $^ -lm

mtest: mtest.o
	$(CC) $(CFLAGS) -o $@ $^ -lm

sdltest: sdltest.o
	$(CC) $(CFLAGS) -o $@ $^ -L/usr/lib -lSDL -lpthread -lvorbisfile -lm

FORCE:

tags: FORCE
	ctags *.[ch]

TAGS: FORCE
	etags *.[ch]

cscope: FORCE
	cscope -b

clean:
	rm -f *.o *~ diffs
	rm -f $(PROG_NAME)
	rm -f $(PROGS)
	rm -f $(TAR_NAME).*

distclean: clean
	rm -f config.log config.cache config.status Makefile
	rm -f mkrpm raceintospace.spec
	rm -f int_types.h race.h
	rm -f configure
	rm -rf autom4te.cache
	rm -f aclocal.m4

configure: configure.in $(wildcard m4/*.m4)
	-aclocal $(ACLOCAL_FLAGS)
	autoconf

race.h.in: configure.in
	autoheader

tar: $(EXTRA_SOURCES)
	rm -f $(TAR_NAME).tar*
	rm -rf .temp
	mkdir -p .temp/$(TAR_NAME)
	cp -l --parents *.[ch] $(EXTRA_SOURCES) .temp/${TAR_NAME}
	tar -zchC .temp --exclude CVS -f $(TAR_NAME).tar.gz $(TAR_NAME)

datatar:
	rm -f $(DATA_TARNAME).tar.gz
	tar -czhvf $(DATA_TARNAME).tar.gz audio video gamedata images

datazip:
	rm -f $(DATA_TARNAME).zip
	zip -r $(DATA_TARNAME).zip audio video gamedata images

# Personal Makefile
-include Makefile.$(LOGNAME)

# Os makefile
-include Makefile.os

=== arm7/Makefile ===
#---------------------------------------------------------------------------------
.SUFFIXES:
#---------------------------------------------------------------------------------
ifeq ($(strip $(DEVKITARM)),)
$(error "Please set DEVKITARM in your environment. export DEVKITARM=<path to>devkitARM")
endif

include $(DEVKITARM)/ds_rules

#---------------------------------------------------------------------------------
# BUILD is the directory where object files & intermediate files will be placed
# SOURCES is a list of directories containing source code
# INCLUDES is a list of directories containing extra header files
# DATA is a list of directories containing binary files
# all directories are relative to this makefile
#---------------------------------------------------------------------------------
BUILD		:=	build
SOURCES		:=	source  
INCLUDES	:=	include build
DATA		:=
 
#---------------------------------------------------------------------------------
# options for code generation
#---------------------------------------------------------------------------------
ARCH	:=	-mthumb-interwork

CFLAGS	:=	-g -Wall -O2\
		-mcpu=arm7tdmi -mtune=arm7tdmi -fomit-frame-pointer\
		-ffast-math \
		$(ARCH)

CFLAGS	+=	$(INCLUDE) -DARM7
CXXFLAGS	:=	$(CFLAGS) -fno-rtti -fno-exceptions -fno-rtti


ASFLAGS	:=	-g $(ARCH)
LDFLAGS	=	-specs=ds_arm7.specs -g $(ARCH) -Wl,-Map,$(notdir $*).map

LIBS	:=	-lnds7

#---------------------------------------------------------------------------------
# list of directories containing libraries, this must be the top level containing
# include and lib
#---------------------------------------------------------------------------------
LIBDIRS	:=	$(LIBNDS)
 
  
#---------------------------------------------------------------------------------
# no real need to edit anything past this point unless you need to add additional
# rules for different file extensions
#---------------------------------------------------------------------------------
ifneq ($(BUILD),$(notdir $(CURDIR)))
#---------------------------------------------------------------------------------
 
export ARM7BIN	:=	$(TOPDIR)/$(TARGET).arm7
export ARM7ELF	:=	$(CURDIR)/$(TARGET).arm7.elf
export DEPSDIR	:=	$(CURDIR)/$(BUILD)

export VPATH	:=	$(foreach dir,$(SOURCES),$(CURDIR)/$(dir))
 
CFILES		:=	$(foreach dir,$(SOURCES),$(notdir $(wildcard $(dir)/*.c)))
CPPFILES	:=	$(foreach dir,$(SOURCES),$(notdir $(wildcard $(dir)/*.cpp)))
SFILES		:=	$(foreach dir,$(SOURCES),$(notdir $(wildcard $(dir)/*.s)))
BINFILES	:=	$(foreach dir,$(DATA),$(notdir $(wildcard $(dir)/*.*)))
 
export OFILES	:=	$(addsuffix .o,$(BINFILES)) \
			$(CPPFILES:.cpp=.o) $(CFILES:.c=.o) $(SFILES:.s=.o)
 
export INCLUDE	:=	$(foreach dir,$(INCLUDES),-I$(CURDIR)/$(dir)) \
			$(foreach dir,$(LIBDIRS),-I$(dir)/include) \
			-I$(CURDIR)/$(BUILD)
 
export LIBPATHS	:=	$(foreach dir,$(LIBDIRS),-L$(dir)/lib)

#---------------------------------------------------------------------------------
# use CXX for linking C++ projects, CC for standard C
#---------------------------------------------------------------------------------
ifeq ($(strip $(CPPFILES)),)
#---------------------------------------------------------------------------------
	export LD	:=	$(CC)
#---------------------------------------------------------------------------------
else
#---------------------------------------------------------------------------------
	export LD	:=	$(CXX)
#---------------------------------------------------------------------------------
endif
#---------------------------------------------------------------------------------

.PHONY: $(BUILD) clean
 
#---------------------------------------------------------------------------------
$(BUILD):
	@[ -d $@ ] || mkdir -p $@
	@make --no-print-directory -C $(BUILD) -f $(CURDIR)/Makefile
 
#---------------------------------------------------------------------------------
clean:
	@echo clean ...
	@rm -fr $(BUILD) *.elf
 
 
#---------------------------------------------------------------------------------
else
 
DEPENDS	:=	$(OFILES:.o=.d)
 
#---------------------------------------------------------------------------------
# main targets
#---------------------------------------------------------------------------------
$(ARM7BIN)	:	$(ARM7ELF)
	@$(OBJCOPY) -O binary $< $@
	@echo built ... $(notdir $@)


$(ARM7ELF)	:	$(OFILES)
	@echo linking $(notdir $@)
	@$(LD)  $(LDFLAGS) $(OFILES) $(LIBPATHS) $(LIBS) -o $@


#---------------------------------------------------------------------------------
# you need a rule like this for each extension you use as binary data 
#---------------------------------------------------------------------------------
%.bin.o	:	%.bin
#---------------------------------------------------------------------------------
	@echo $(notdir $<)
	@$(bin2o)

-include $(DEPENDS)
 
#---------------------------------------------------------------------------------------
endif
#---------------------------------------------------------------------------------------

=== arm9/Makefile ===
#---------------------------------------------------------------------------------
.SUFFIXES:
#---------------------------------------------------------------------------------
ifeq ($(strip $(DEVKITARM)),)
$(error "Please set DEVKITARM in your environment. export DEVKITARM=<path to>devkitARM")
endif

include $(DEVKITARM)/ds_rules

#---------------------------------------------------------------------------------
# BUILD is the directory where object files & intermediate files will be placed
# SOURCES is a list of directories containing source code
# INCLUDES is a list of directories containing extra header files
# DATA is a list of directories containing binary files
# all directories are relative to this makefile
#---------------------------------------------------------------------------------
BUILD		:=	build
SOURCES		:=	source source/tremor
INCLUDES	:=	include source/tremor
DATA		:=

#---------------------------------------------------------------------------------
# options for code generation
#---------------------------------------------------------------------------------
ARCH	:=	-mthumb -mthumb-interwork

CFLAGS	:=	-g -Wall -Wno-char-subscripts -O2 \
 			-march=armv5te -mtune=arm946e-s -fomit-frame-pointer\
			-ffast-math -fsigned-char \
			$(ARCH)

CFLAGS	+=	$(INCLUDE) -DARM9 -DNDS
CXXFLAGS	:=	$(CFLAGS) -fno-rtti -fno-exceptions

ASFLAGS	:=	-g $(ARCH) -march=armv5te -mtune=arm946e-s

LDFLAGS	=	-specs=ds_arm9.specs -g $(ARCH) -Wl,-Map,$(notdir $*.map)

#---------------------------------------------------------------------------------
# any extra libraries we wish to link with the project
#---------------------------------------------------------------------------------
LIBS	:= -lSDL -lm -lfat -lnds9
 
#---------------------------------------------------------------------------------
# list of directories containing libraries, this must be the top level containing
# include and lib
#---------------------------------------------------------------------------------
LIBDIRS	:=	$(LIBNDS)
 
#---------------------------------------------------------------------------------
# no real need to edit anything past this point unless you need to add additional
# rules for different file extensions
#---------------------------------------------------------------------------------
ifneq ($(BUILD),$(notdir $(CURDIR)))
#---------------------------------------------------------------------------------
 
export ARM9BIN	:=	$(TOPDIR)/$(TARGET).arm9
export ARM9ELF	:=	$(CURDIR)/$(TARGET).arm9.elf
export DEPSDIR := $(CURDIR)/$(BUILD)

export VPATH	:=	$(foreach dir,$(SOURCES),$(CURDIR)/$(dir)) \
					$(foreach dir,$(DATA),$(CURDIR)/$(dir))
 
CFILES		:=	$(foreach dir,$(SOURCES),$(notdir $(wildcard $(dir)/*.c)))
CPPFILES	:=	$(foreach dir,$(SOURCES),$(notdir $(wildcard $(dir)/*.cpp)))
SFILES		:=	$(foreach dir,$(SOURCES),$(notdir $(wildcard $(dir)/*.s)))
BINFILES	:=	$(foreach dir,$(DATA),$(notdir $(wildcard $(dir)/*.*)))
 
#---------------------------------------------------------------------------------
# use CXX for linking C++ projects, CC for standard C
#---------------------------------------------------------------------------------
ifeq ($(strip $(CPPFILES)),)
#---------------------------------------------------------------------------------
	export LD	:=	$(CC)
#---------------------------------------------------------------------------------
else
#---------------------------------------------------------------------------------
	export LD	:=	$(CXX)
#---------------------------------------------------------------------------------
endif
#---------------------------------------------------------------------------------

export OFILES	:=	$(addsuffix .o,$(BINFILES)) \
					$(CPPFILES:.cpp=.o) $(CFILES:.c=.o) $(SFILES:.s=.o)
 
export INCLUDE	:=	$(foreach dir,$(INCLUDES),-I$(CURDIR)/$(dir)) \
			$(foreach dir,$(LIBDIRS),-I$(dir)/include) \
			-I$(CURDIR)/$(BUILD) -I$(LIBNDS)/include/SDL
 
export LIBPATHS	:=	$(foreach dir,$(LIBDIRS),-L$(dir)/lib)
 
.PHONY: $(BUILD) clean
 
#---------------------------------------------------------------------------------
$(BUILD):
	@[ -d $@ ] || mkdir -p $@
	@$(MAKE) --no-print-directory -C $(BUILD) -f $(CURDIR)/Makefile
 
#---------------------------------------------------------------------------------
clean:
	@echo clean ...
	@rm -fr $(BUILD) *.elf *.nds* *.bin 
 
 
#---------------------------------------------------------------------------------
else
 
DEPENDS	:=	$(OFILES:.o=.d)
 
#---------------------------------------------------------------------------------
# main targets
#---------------------------------------------------------------------------------
$(ARM9BIN)	:	$(ARM9ELF)
	@$(OBJCOPY) -O binary $< $@
	@echo built ... $(notdir $@)

$(ARM9ELF)	:	$(OFILES)
	@echo linking $(notdir $@)
	@$(LD)  $(LDFLAGS) $(OFILES) $(LIBPATHS) $(LIBS) -o $@

#---------------------------------------------------------------------------------
# you need a rule like this for each extension you use as binary data 
#---------------------------------------------------------------------------------
%.bin.o	:	%.bin
#---------------------------------------------------------------------------------
	@echo $(notdir $<)
	@$(bin2o)


-include $(DEPENDS)
 
#---------------------------------------------------------------------------------------
endif
#---------------------------------------------------------------------------------------

=== os_macosx/MacPorts/games/raceintospace/Portfile ===
# $Id: Portfile,v 1.5 2007/08/08 03:39:50 k6mmc Exp $

PortSystem 1.0

name		raceintospace
version		0.4.5
revision	1
categories	games
platforms	darwin
maintainers	raceintospace.org:mkmccarty

description	Open Source version of old MS-DOS game Buzz Aldrin's Race Into Space
long_description	${description}

homepage	http://raceintospace.sourceforge.net/
master_sites	sourceforge:raceintospace

set source_file ${distname}${extract.suffix}
set data_file ${name}-data-${version}${extract.suffix}

distfiles ${source_file} ${data_file}

checksums \
	${source_file} \
		md5 e7987f9a26c61fc0fe50833fdd41ffa1 \
		sha1 abe71d9ee14254662fd671cb9a5479df298a934f \
		rmd160 d5cca12d65a8b6b998186c310bac51da0987f6ce \
	${data_file} \
		md5 618f3d68f6d2d49567b34e09c143221b \
		sha1 4d8866239be5319f6a77e276c42bac0b0f1ff764 \
		rmd160 2865debe15e60ee1870eee78e625a4b9e082b869

depends_lib	port:libsdl \
						port:libogg \
						port:libvorbis \
						port:libtheora

post-destroot {
	# move the game data into the destroot directory
	foreach dir {audio gamedata images video} {
		file copy ${workpath}/${dir} ${destroot}${prefix}/share/raceintospace/${dir}
	}
}
